;---------------------------------------------------------------------------
; Hypers / Statedef's : 3000 - 3999
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
; Hyper 1 = SUPER SPIN CYCLE
;---------------------------------------------------------------------------
[Statedef 3000]
type    = S
movetype= A
physics = N
juggle  = 1
velset = 0,0
anim = 3000
ctrl = 0
sprpriority = 2

[State 3000, 1]
type = AssertSpecial
trigger1 = 1
flag = nobardisplay
ignorehitpause = 1

[State 3000, 2]
type = SuperPause
trigger1 = AnimElem = 1
time = 33
anim = -1
sound = S8889,0
pos = 10,-70
poweradd = -1000

[State 3000, Hyper Dust]
type = Explod
trigger1 = animelem = 1
anim = 10001
postype = p1
pos = 0,0
ownpal = 1
sprpriority = 5
supermovetime = 40

[State 3000, Hyper Circle]
type = Explod
trigger1 = animelem = 1
anim = 10066
postype = p1
pos = 19,-80
ownpal = 1
sprpriority = 5
supermovetime = 40

[State 3000, Hyper Explode]
type = Explod
trigger1 = animelem = 1
anim = 10006
postype = p1
pos = 19,-80
ownpal = 1
sprpriority = 5
supermovetime = 40

[State 3000, superportrait]
type = Explod
trigger1 = AnimElem = 1
trigger1 = facing = 1
anim = 10007
ID = 10007
pos = 0,35
facing = 1
postype = back
bindtime = 999
removetime = 70
supermovetime = 40
pausemovetime = 40
sprpriority = -2
ownpal = 1

[State 3000, superportrait]
type = Explod
trigger1 = AnimElem = 1
trigger1 = facing = -1
anim = 10077
ID = 10077
pos = 0,35
facing = -1
postype = back
bindtime = 999
removetime = 70
supermovetime = 40
pausemovetime = 40
sprpriority = -2
ownpal = 1

[State 3000, superportrait]
type = Explod
trigger1 = AnimElem = 1
anim = 10008
ID = 10008
pos = 0,35
postype = back
bindtime = 999
removetime = 70
supermovetime = 40
pausemovetime = 40
sprpriority = -1
ownpal = 1

[State 3000, superportrait]
type = Explod
trigger1 = AnimElem = 1
anim = 10009
ID = 10009
pos = 15,10
postype = back
bindtime = 999
removetime = 60
supermovetime = 40
pausemovetime = 40
sprpriority = -3
ownpal = 1
scale = .7,.7

[State 3000, superportrait black]
type = Explod
trigger1 = AnimElem = 1
anim = 10005
ID = 10005
pos = 15,10
postype = back
bindtime = 999
removetime = 60
supermovetime = 40
pausemovetime = 40
sprpriority = -4
ownpal = 1
scale = .6,.6

[State 3000, superbg 1]
type = Explod
trigger1 = AnimElem = 1
anim = 10010
ID = 10010
pos = -60,-5
postype = left
bindtime = -1
removetime = -1 ;infinite time
supermove = 40
pausemovetime = 40
removeongethit = 1
sprpriority = -2
ownpal = 1
scale = 1.1,1.1

[State 3000, superbg RemoveExplod 1.2]
type = RemoveExplod
trigger1 = time > 200 ;time BG remains on screen
id =10010

[State 3000, VelSet]
type = VelSet
trigger1 = Time >= 15
x = 5.5

[State 3000, 1]
type = PlaySnd
trigger1 = animelem = 2
trigger2 = animelem = 3
trigger3 = animelem = 4
trigger4 = animelem = 5
trigger5 = animelem = 6
trigger6 = animelem = 7
value = 1000, 2
channel = 5

[State 3000, HitDef]
type = HitDef
trigger1 = animelem = 2
trigger2 = animelem = 3
trigger3 = animelem = 4
trigger4 = animelem = 5
trigger5 = animelem = 6
trigger6 = animelem = 7
attr = S, HA
animtype  = Hard
damage    = 45,3
hitflag = MA
priority = 6, Hit
guardflag = MA
pausetime = 12,12
sparkno =  s8022
getpower = 0,0
givepower = 0,0
sparkxy = -15,-59
guard.sparkno = s8001
hitsound = s8000,2
guardsound = S8000,6
animtype = Medium
ground.type = High
ground.slidetime = 15
ground.hittime  = 15
ground.velocity = -3
guard.velocity = -5
air.velocity = -2,-2

[State 3000, next]
type = changestate
trigger1 = time = 100
value = 3001
ctrl = 0

[Statedef 3001] ;chain back ON
type    = S
movetype= A
physics = N
juggle  = 1
velset = 0,0
anim = 3001
ctrl = 0
sprpriority = 2

[State 3001, 1]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1000, 2
channel = 4

[State 3001,end]  ;chain back ON
type = changestate
trigger1 = animtime = 0
value = 3030
ctrl = 1

;; === Finishing Strike ===
[Statedef 3030]
type    = S
movetype= A
physics = S
anim = 3230
ctrl = 0
velset = 0,0

[State 3030, VelSet]
type = VelSet
trigger1 = animelem = 3
x = 8
y = -3

[State 3030, 1]
type = PlaySnd
trigger1 = AnimElem = 1
value = 1000, 1
channel = 4

[State 3030, hitdef2]
type = HitDef
trigger1 = animelem = 4
attr = S, HA
forcestand = 1
animtype  = back
damage    = 100,14
getpower = 0,0
givepower = 0,0
priority = 6, Hit
guardflag = MA
pausetime = 40,40
sparkno =  s8222
sparkxy = -30,-59
guard.sparkno = s8001
hitsound = s8000,2
guardsound = S8000,6
ground.type = Low
fall = 1
air.fall = 1
ground.slidetime = 40
ground.hittime  = 40
ground.velocity = -10,-10
fall.recover = 0
envshake.time = 35
envshake.freq = 60
envshake.ampl = -10
envshake.phase = -90

[State 3030, SuperPause]
type = SuperPause
trigger1 =  animelem = 4
time = 10
sound = S800,1
anim = -1

[State 3030,end]  ;End of Hyper I
type = changestate
trigger1 = animtime = 0
value = 50
ctrl = 1

;---------------------------------------------------------------------------
; Hyper 2 = SWEET XMAS
;---------------------------------------------------------------------------
[Statedef 3100]
type    = A
movetype= A
physics = N
juggle  = 4
velset = 0,0
ctrl = 0
anim = 3100
sprpriority = 0
facep2 = 1

[State 3100, 1]
type = AssertSpecial
trigger1 = 1
flag = nobardisplay
ignorehitpause = 1

[State 3100, 2]
type = SuperPause
trigger1 = AnimElem = 1
time = 33
anim = -1
sound = S8889,0
pos = 10,-70
poweradd = -1000

[State 3100, Hyper Dust]
type = Explod
trigger1 = animelem = 1
anim = 10001
postype = p1
pos = 0,0
ownpal = 1
sprpriority = 5
supermovetime = 40

[State 3100, Hyper Circle]
type = Explod
trigger1 = animelem = 1
anim = 10066
postype = p1
pos = 19,-80
ownpal = 1
sprpriority = 5
supermovetime = 40

[State 3100, Hyper Explode]
type = Explod
trigger1 = animelem = 1
anim = 10006
postype = p1
pos = 19,-80
ownpal = 1
sprpriority = 5
supermovetime = 40

[State 3100, superportrait]
type = Explod
trigger1 = AnimElem = 1
trigger1 = facing = 1
anim = 10007
ID = 10007
pos = 0,35
facing = 1
postype = back
bindtime = 999
removetime = 70
supermovetime = 40
pausemovetime = 40
sprpriority = -2
ownpal = 1

[State 3100, superportrait]
type = Explod
trigger1 = AnimElem = 1
trigger1 = facing = -1
anim = 10077
ID = 10077
pos = 0,35
facing = -1
postype = back
bindtime = 999
removetime = 70
supermovetime = 40
pausemovetime = 40
sprpriority = -2
ownpal = 1

[State 3100, superportrait]
type = Explod
trigger1 = AnimElem = 1
anim = 10008
ID = 10008
pos = 0,35
postype = back
bindtime = 999
removetime = 70
supermovetime = 40
pausemovetime = 40
sprpriority = -1
ownpal = 1

[State 3100, superportrait]
type = Explod
trigger1 = AnimElem = 1
anim = 10009
ID = 10009
pos = 15,10
postype = back
bindtime = 999
removetime = 60
supermovetime = 40
pausemovetime = 40
sprpriority = -3
ownpal = 1
scale = .7,.7

[State 3100, superportrait black]
type = Explod
trigger1 = AnimElem = 1
anim = 10005
ID = 10005
pos = 15,10
postype = back
bindtime = 999
removetime = 60
supermovetime = 40
pausemovetime = 40
sprpriority = -4
ownpal = 1
scale = .6,.6

[State 3100, superbg 1] ;Use this & 1.2 for timed hypers where user sets the BG remove time
type = Explod
trigger1 = AnimElem = 5
anim = 10010
ID = 10010
pos = -60,-5
postype = left
bindtime = -1
removetime = -1 ;infinite time
supermove = 40
pausemovetime = 40
removeongethit = 1
sprpriority = -2
ownpal = 1
scale = 1.1,1.1

[State 3100, superbg RemoveExplod 1.2]
type = RemoveExplod
trigger1 = time > 200;time BG remains on screen
id =10010

[State 3100, PlaySnd]
type = PlaySnd
trigger1 = animelem = 2
value = 9999,5

[State 3100, VelSet]
type = VelSet
trigger1 = animelem = 2
x = 7
y = -15

[State 3100, VelSet]
type = VelSet
trigger1 = animelem = 3
x = 4
y = -4

[State 3100, VelSet]
type = VelSet
trigger1 = animelem = 4
x = 0
y = 0

[State 3100, SuperPause]
type = SuperPause
trigger1 = animelem = 4
time = 15
anim = 3101
darken = 1
p2defmul = 1
unhittable = 1

[State 3100, VelSet]
type = VelSet
trigger1 = animelem = 5
x = 5
y = 17

[State 3100, VelSet]
type = VelSet
trigger1 = animelem = 7
x = 0
y = 0

[State 3100, PosSet]
type = PosSet
trigger1 = pos y >=0  && pos y != 0
trigger2 = animelem = 8
y = 0

[State 3100]
type = EnvShake
trigger1 = animelem = 7
time = 15
freq = 10
ampl = -15
phase = 15

[State 3100]
type = EnvShake
trigger1 = animelem = 8
time = 40
freq = 15
ampl = -15
phase = 40

[State 3100, PlaySnd]
type = PlaySnd
trigger1 = animelem = 1
value = 3000,0
channel = 5
volume = 255

[State 3100, Explod]
type = Explod
trigger1 = animelem = 7
trigger2 = animelem = 8
anim = 3101
ID = 3101
pos = 50,25
postype = p1
facing = 1
removetime = -2
sprpriority = 10
scale = 1,1

[State 3100, Explod]
type = Explod
trigger1 = animelem = 7
trigger2 = animelem = 8
anim = 3101
ID = 3101
pos = -50,22
postype = p1
facing = -1
removetime = -2
sprpriority = 10
scale = 1.25,1.25

[State 3100, HitDef]
type = HitDef
trigger1 = AnimElem = 5
trigger2 = AnimElem = 6
trigger3 = AnimElem = 8
attr = S,NA
damage = 100,10
animtype = up
guardflag = MA
hitflag = MAF
priority = 4, Hit
pausetime = 14,12
sparkno = -1
sparkxy = -10, -53
guard.sparkno = -1
hitsound = 5,4
ground.type = High
ground.slidetime = 30
ground.hittime  = 40
ground.velocity = 3, -5
air.velocity = 3,-5
airguard.velocity = -6,0
guard.velocity = -8
air.hittime = 40

[State 3100, HitDef]
type = HitDef
trigger1 = AnimElem = 5
trigger2 = AnimElem = 6
trigger3 = AnimElem = 8
attr = S,NA
damage = 100,10
animtype = up
guardflag = MA
hitflag = MAF
priority = 4, Hit
pausetime = 14,12
sparkno = -1
sparkxy = -10, -53
guard.sparkno = -1
hitsound = 5,4
ground.type = High
ground.slidetime = 30
ground.hittime  = 40
ground.velocity = 10, -18
air.velocity = -4,-18
airguard.velocity = -6,0
guard.velocity = -8
yaccel = 0.39+(enemynear,const(movement.yaccel)/2)
fall = 1

[State 3100, End]
type = ChangeState
trigger1 = animtime=0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Hyper 3 = POWERMAN & IRON FIST
;---------------------------------------------------------------------------
;Powerman & Iron Fist (Start)

[Statedef 3200]
type    = S
movetype= A
physics = S
juggle  = 0
velset = 0,0
ctrl = 0
anim = 3200
sprpriority = 2

[State 3200, VelSet]
type = VelSet
trigger1 = animelem = 2
x = 15
y = 0

[State 3200, 1]
type = HitDef
Trigger1 = Time = 0
attr = S, NT
hitflag = M-
priority = 1, Miss
sparkno = -1
p1sprpriority = 1

p1facing = 1
p2facing = 1
p1stateno = 3201
guard.dist = 0

[State 3200, 2]
type = ChangeState
Trigger1 = AnimTime = 0
value = 0
ctrl = 1

[State 3200, 1]
type = AssertSpecial
trigger1 = 1
flag = nobardisplay
ignorehitpause = 1

[State 3200, 2]
type = SuperPause
trigger1 = AnimElem = 1
time = 33
anim = -1
sound = S8889,0
pos = 10,-70
poweradd = -1000

[State 3200, Hyper Dust]
type = Explod
trigger1 = animelem = 1
anim = 10001
postype = p1
pos = 0,0
ownpal = 1
sprpriority = 5
supermovetime = 40

[State 3200, Hyper Circle]
type = Explod
trigger1 = animelem = 1
anim = 10066
postype = p1
pos = 19,-80
ownpal = 1
sprpriority = 5
supermovetime = 40

[State 3200, Hyper Explode]
type = Explod
trigger1 = animelem = 1
anim = 10006
postype = p1
pos = 19,-80
ownpal = 1
sprpriority = 5
supermovetime = 40

[State 3200, superportrait]
type = Explod
trigger1 = AnimElem = 1
trigger1 = facing = 1
anim = 10007
ID = 10007
pos = 0,35
facing = 1
postype = back
bindtime = 999
removetime = 70
supermovetime = 40
pausemovetime = 40
sprpriority = -2
ownpal = 1

[State 3200, superportrait]
type = Explod
trigger1 = AnimElem = 1
trigger1 = facing = -1
anim = 10077
ID = 10077
pos = 0,35
facing = -1
postype = back
bindtime = 999
removetime = 70
supermovetime = 40
pausemovetime = 40
sprpriority = -2
ownpal = 1

[State 3200, superportrait]
type = Explod
trigger1 = AnimElem = 1
anim = 10008
ID = 10008
pos = 0,35
postype = back
bindtime = 999
removetime = 70
supermovetime = 40
pausemovetime = 40
sprpriority = -1
ownpal = 1

[State 3200, superportrait]
type = Explod
trigger1 = AnimElem = 1
anim = 10009
ID = 10009
pos = 15,10
postype = back
bindtime = 999
removetime = 60
supermovetime = 40
pausemovetime = 40
sprpriority = -3
ownpal = 1
scale = .7,.7

[State 3200, superportrait black]
type = Explod
trigger1 = AnimElem = 1
anim = 10005
ID = 10005
pos = 15,10
postype = back
bindtime = 999
removetime = 60
supermovetime = 40
pausemovetime = 40
sprpriority = -4
ownpal = 1
scale = .6,.6

[State 3200, superbg 1]
type = Explod
trigger1 = AnimElem = 1
anim = 10010
ID = 10010
pos = -60,-5
postype = left
bindtime = -1
removetime = -1
supermove = 40
pausemovetime = 40
removeongethit = 1
sprpriority = -2
ownpal = 1
scale = 1.1,1.1

[State 3200, superbg RemoveExplod 1.2]
type = RemoveExplod
trigger1 = time > 200
id =10010

[State 3200, 2]
type = ChangeState
trigger1 = AnimTime = 0
value = 3202
ctrl = 1

;Powerman & Iron Fist
[Statedef 3201]
type    = S
movetype= A
physics = S
juggle  = 4
velset = 1,0
anim = 3201
ctrl = 0
sprpriority = 2

[State 3201, Helper]
type = Helper
trigger1 = animelem = 1
helpertype = normal ;player
name = "Iron Fist"
ID = 3203
stateno = 3203
pos = 300,0
postype = p1    ;p2,front,back,left,right
facing = -1
keyctrl = 0
ownpal = 0
supermove
pausemove

[State 3201, 1]
type = VelSet
trigger1 = FrontEdgeBodyDist < 40
x = 0

[State 3201, ]
type = Width
trigger1 = 1
edge = 0,0
player = 50,0

[State 3201, HitDef 1]
type = HitDef
trigger1 = Time % 2 = 0
attr = S, HA
damage = 10,5
getpower = 0
animtype = Heavy
guardflag = MA
hitflag = MAFD
priority = 7, Hit
pausetime = 5,2
sparkno = 2
guard.sparkno = 5
sparkxy = -10,-65
snap = 80
hitsound = S20,1
guardsound = S20,4
ground.type = Low
ground.slidetime = 20
ground.hittime  = 20
ground.velocity = 0,0
guard.velocity = -1
air.type = Low
air.velocity = -5,-1
fall.recover = 0
down.bounce = 1
down.velocity = -5,-5
fall = 0
air.fall = 0

[State 3201, 2]
type = ScreenBound
trigger1 = 1
value = 1
movecamera = 100,100

[State 3201, 2]
type = ChangeState
trigger1 = Time = 30
value = 3204

;Ironfist attack
[Statedef 3203]
type    = S
movetype= A
physics = S
juggle  = 1
velset = 0,0
anim = 3203
ctrl = 0
sprpriority = 2

[State 3203, VelSet]
type = VelSet
trigger1 = Time >= 1
x = 10

[State 3203, HitDef]
type = HitDef
trigger1 = animelem = 1
trigger2 = animelem = 2
trigger3 = animelem = 3
attr = S, HA
animtype  = Hard
damage    = 25,0
hitflag = MA
priority = 6, Hit
guardflag = MA
pausetime = 12,12
sparkno =  s8022
getpower = 0,0
givepower = 0,0
sparkxy = -15,-59
guard.sparkno = s8001
hitsound = s8000,2
guardsound = S8000,6
animtype = Medium
ground.type = High
ground.slidetime = 15
ground.hittime  = 15
ground.velocity = 0
guard.velocity = 0
air.velocity = -12,-2

[State 3203, next]
type = changestate
trigger1 = animtime = 0
value = 3205
ctrl = 0

[Statedef 3204]
type    = S
movetype= A
physics = S
juggle  = 1
velset = 0,0
anim = 3204
ctrl = 0
sprpriority = 2

[State 3204, VelSet]
type = VelSet
trigger1 = animelem = 1
x = 5
y = 0

[State 3204, HitDef]
type = HitDef
trigger1 = animelem = 2
trigger2 = animelem = 6
trigger3 = animelem = 11
trigger4 = animelem = 16
trigger5 = animelem = 21
trigger6 = animelem = 22
trigger7 = animelem = 25
trigger8 = animelem = 30
trigger9 = animelem = 31
attr = S, HA
animtype  = Hard
damage    = 25,0
hitflag = MA
priority = 6, Hit
guardflag = MA
pausetime = 12,12
sparkno =  s8022
getpower = 0,0
givepower = 0,0
sparkxy = -15,-59
guard.sparkno = s8001
hitsound = s8000,2
guardsound = S8000,6
animtype = Medium
ground.type = High
ground.slidetime = 15
ground.hittime  = 15
ground.velocity = 0
guard.velocity = -1
air.velocity = -2,-2

[State 3204, next]
type = changestate
trigger1 = animelem = 35
value = 3230
ctrl = 0

[Statedef 3205]
type    = S
movetype= A
physics = S
juggle  = 1
velset = 0,0
anim = 3205
ctrl = 0
sprpriority = 2

[State 3205, VelSet]
type = VelSet
trigger1 = animelem = 1
x = -5
y = 0

[State 3205, HitDef]
type = HitDef
trigger1 = animelem = 2
trigger2 = animelem = 5
trigger3 = animelem = 6
trigger4 = animelem = 7
trigger5 = animelem = 8
trigger6 = animelem = 9
attr = S, HA
animtype  = Hard
damage    = 25,0
hitflag = MA
priority = 6, Hit
guardflag = MA
pausetime = 12,12
sparkno =  s8022
getpower = 0,0
givepower = 0,0
sparkxy = -15,-59
guard.sparkno = s8001
hitsound = s8000,2
guardsound = S8000,6
animtype = Medium
ground.type = High
ground.slidetime = 15
ground.hittime  = 15
ground.velocity = 0
guard.velocity = -1
air.velocity = -2,-2

[State 3205, VelSet]
type = VelSet
trigger1 = animelem = 11
x = -3
y = 0

[State 3205, VelSet]
type = VelSet
trigger1 = animelem = 14
x = 0
y = 0

[State 3205, next]
type = changestate
trigger1 = animelem = 17
value = 3206
ctrl = 0

[Statedef 3206]
type    = S
movetype= A
physics = S
juggle  = 1
velset = 0,0
anim = 3206
ctrl = 0
sprpriority = 2

[State 3206, VelSet]
type = VelSet
trigger1 = 1
x = -10
y = -10


[State 3206, DestroySelf]
type = DestroySelf
trigger1 = animtime = 50
value = 3206
ctrl = 0


;; === Finishing Strike ===
[Statedef 3230]
type    = S
movetype= A
physics = S
anim = 3230
ctrl = 0
velset = 0,0

[State 3230, VelSet]
type = VelSet
trigger1 = animelem = 3
x = 8
y = -3


[State 3230, hitdef2]
type = HitDef
trigger1 = animelem = 4
attr = S, HA
forcestand = 1
animtype  = back;DiagUp
damage    = 100
getpower = 0,0
givepower = 0,0
priority = 6, Hit
guardflag = MA
pausetime = 40,40
sparkno =  s8222
sparkxy = -30,-59
guard.sparkno = s8001
hitsound = s8000,2
guardsound = S8000,6
ground.type = Low
fall = 1
air.fall = 1
ground.slidetime = 40
ground.hittime  = 40
ground.velocity = -10,-10
fall.recover = 0
envshake.time = 35
envshake.freq = 60
envshake.ampl = -10
envshake.phase = -90


[State 3230, SuperPause]
type = SuperPause
trigger1 =  animelem = 1
time = 20
sound = S180,0
anim = -1

[State 3230, 1]
type = PlaySnd
trigger1 = AnimElem = 5
value = 3000, 3

[state 3230,end]  ;End of Hyper I
type = changestate
trigger1 = animtime = 0
value = 50
ctrl = 1

;---------------------------------------------------------------------------
; Hyper 4 = BULLET PROOF
;---------------------------------------------------------------------------

[Statedef 3300]
type    = A
movetype= A
physics = N
juggle  = 1
velset = 0,0
anim = 195
ctrl = 0
sprpriority = 2

[State 3300, 1]
type = AssertSpecial
trigger1 = 1
flag = nobardisplay
ignorehitpause = 1

[State 3300, 2]
type = SuperPause
trigger1 = AnimElem = 1
time = 33
anim = -1
sound = S8889,0
pos = 10,-70
poweradd = -1000

[State 3300, Hyper Dust]
type = Explod
trigger1 = animelem = 1
anim = 10001
postype = p1
pos = 0,0
ownpal = 1
sprpriority = 5
supermovetime = 40

[State 3300, Hyper Circle]
type = Explod
trigger1 = animelem = 1
anim = 10066
postype = p1
pos = 19,-80
ownpal = 1
sprpriority = 5
supermovetime = 40

[State 3300, Hyper Explode]
type = Explod
trigger1 = animelem = 1
anim = 10006
postype = p1
pos = 19,-80
ownpal = 1
sprpriority = 5
supermovetime = 40

[State 3300, superportrait]
type = Explod
trigger1 = AnimElem = 1
trigger1 = facing = 1
anim = 10007
ID = 10007
pos = 0,35
facing = 1
postype = back
bindtime = 999
removetime = 70
supermovetime = 40
pausemovetime = 40
sprpriority = -2
ownpal = 1

[State 3300, superportrait]
type = Explod
trigger1 = AnimElem = 1
trigger1 = facing = -1
anim = 10077
ID = 10077
pos = 0,35
facing = -1
postype = back
bindtime = 999
removetime = 70
supermovetime = 40
pausemovetime = 40
sprpriority = -2
ownpal = 1

[State 3300, superportrait]
type = Explod
trigger1 = AnimElem = 1
anim = 10008
ID = 10008
pos = 0,35
postype = back
bindtime = 999
removetime = 70
supermovetime = 40
pausemovetime = 40
sprpriority = -1
ownpal = 1

[State 3300, superportrait]
type = Explod
trigger1 = AnimElem = 1
anim = 10009
ID = 10009
pos = 15,10
postype = back
bindtime = 999
removetime = 60
supermovetime = 40
pausemovetime = 40
sprpriority = -3
ownpal = 1
scale = .7,.7

[State 3300, superportrait black]
type = Explod
trigger1 = AnimElem = 1
anim = 10005
ID = 10005
pos = 15,10
postype = back
bindtime = 999
removetime = 60
supermovetime = 40
pausemovetime = 40
sprpriority = -4
ownpal = 1
scale = .6,.6

[State 3300, superbg 1]
type = Explod
trigger1 = AnimElem = 5
anim = 10010
ID = 10010
pos = -60,-5
postype = left
bindtime = -1
removetime = -1 ;infinite time
supermove = 40
pausemovetime = 40
removeongethit = 1
sprpriority = -2
ownpal = 1
scale = 1.1,1.1

[State 3300, superbg RemoveExplod 1.2]
type = RemoveExplod
trigger1 = time > 200
id =10010

[State 3300, HitOverride]
type = HitOverride
trigger1 = 1
attr = SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = 740
stateno = 3199

[State 3300, NotHitBy]
type = NotHitBy
trigger1 = AnimTime = 1
value = SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = 750

[State 3300, VarSet]
type = VarSet
trigger1 = animelem = 3
v = 15
value = 736

;--------------------------------------------
[State 3300, sense bar]
type = Explod
trigger1 = animelem = 1
anim = 3301
id = 3304
pos = ifelse(TeamSide = 1, 1, 319), 240
postype = left
facing = ifelse(TeamSide = 1, 1, -1)
bindtime = -1
removetime = -2
sprpriority = 90
ignorehitpause = 1
ownpal = 1

[State 3300, sense bar]
type = Explod
trigger1 = animelem = 1
anim = 3300
id = 3304
pos = ifelse(TeamSide = 1, 48, 271), 240
postype = left
facing = 1;ifelse(TeamSide = 1, 1, -1)
bindtime = -1
removetime = -2
sprpriority = 92
ignorehitpause = 1
ownpal = 1
;--------------------------------------------

[State 3300, End]
type = ChangeState
trigger1 = time=0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Giggle and Hoot
;---------------------------------------------------------------------------
[Statedef 3199]
type = S
ctrl = 0
anim = 199
velset = 0,0
movetype = I
physics = S
sprpriority = 2

[State 199, 1]
type = CtrlSet
trigger1 = Time = 40
value = 1

[State 199, 2]
type = PlaySnd
trigger1 = AnimElem = 1
value = 195, 3

[State 199, End]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1


; END
